report/bidders
GET
/report/biddersFetch per-bidder performance for the requested time range. Requires the reports:read permission.
Request
cURL
curl -X GET "https://provisioning.cloudx.io/api/v1/report/bidders?start_time=1712448000&end_time=1712534399" \
-H "Authorization: Bearer $CLOUDX_API_KEY"Query parameters
| Name | Type | Description |
|---|---|---|
start_timerequired | integer<int64> | Start of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days and must not start before 2020-01-01 UTC. |
end_timerequired | integer<int64> | End of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days and must not end before 2020-01-01 UTC. |
test_mode | string | Traffic mode to include. Defaults to production traffic. |
country | string | ISO 3166-1 alpha-2 country code filter. |
device_os | string | Device operating system filter. |
Responses
Bidder performance data.
{
"bidders": [
{
"name": "<string>",
"requests": 123,
"bids": 123,
"bid_rate": 12.34,
"impressions": 123,
"win_rate": 12.34,
"revenue": 12.34,
"ecpm": 12.34
}
]
}200 Bidder performance data.
| Field | Type | Description |
|---|---|---|
biddersrequired | array of object |
400 Invalid request parameters.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
401 Unauthorized.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
403 Forbidden.
| Field | Type | Description |
|---|---|---|
errorrequired | string |
500 Internal server error.
| Field | Type | Description |
|---|---|---|
errorrequired | string |